## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# StylesheetExecutionContextDefault::XalanNumberFormatFactory Class Reference

Inheritance diagram for StylesheetExecutionContextDefault::XalanNumberFormatFactory:

[legend]
List of all members.

## Public Member Functions

- XalanNumberFormatFactory ()
- virtual ~XalanNumberFormatFactory ()
- virtual XalanNumberFormat * create (MemoryManagerType &theManager)

## Constructor & Destructor Documentation

StylesheetExecutionContextDefault::XalanNumberFormatFactory::XalanNumberFormatFactory | ( |  | ) | `[explicit]`

virtual StylesheetExecutionContextDefault::XalanNumberFormatFactory::~XalanNumberFormatFactory | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual XalanNumberFormat* StylesheetExecutionContextDefault::XalanNumberFormatFactory::create | ( | MemoryManagerType & | theManager | ) | `[virtual]`

The documentation for this class was generated from the following file:

- StylesheetExecutionContextDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.